<template>
    <div class="bookmark">
        <span>Creation date: {{date | datetime}}</span><br/>
        <span>Public profile: <a :href="companyLink" class="link">{{companyLink}}</a></span>
    </div>
</template>

<script>
export default {
    props: {
        /** company id */
        companyId: {
            type: [String, Number],
            required: true,
        },
        /** company name */
        companyName: {
            type: String,
            required: false,
        },
        /** url to company page */
        companySite: {
            type: String,
            required: false,
        },
        /** url to public profile */
        companyLink: {
            type: String,
            required: false,
        },
        /** bookmark creation date */
        date: {
            type: String,
            required: false,
        },
    },
};
</script>

<style lang="stylus" scoped>
.bookmark
    margin-left: 2rem
    font-size: 1.4rem
    color: $dark_gray
    padding: 1rem 2rem

</style>
